Bug 1831555 - Package server stays in state "catalog source was removed" and cannot be updated
Summary: Package server stays in state "catalog source was removed" and cannot be updated
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.4
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
: 4.5.0
Assignee: Robb Hamilton
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks: 1840647
TreeView+ depends on / blocked
 
Reported: 2020-05-05 09:20 UTC by przem123
Modified: 2020-07-13 17:35 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 1840647 (view as bug list)
Environment:
Last Closed: 2020-07-13 17:35:00 UTC
Target Upstream Version:


Attachments (Terms of Use)
package server error (139.50 KB, image/png)
2020-05-05 09:20 UTC, przem123
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 5572 0 None closed Bug 1831555: do not display 'Catalog source was removed' for Package… 2021-02-21 00:35:32 UTC
Red Hat Knowledge Base (Solution) 5132191 0 None None None 2020-06-04 11:40:13 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:35:20 UTC

Internal Links: 1910058

Description przem123 2020-05-05 09:20:12 UTC
Created attachment 1685153 [details]
package server error

I updated my openshift cluster from 4.3.18 to 4.4.3. The package server cannot be updated and stays in state "catalog source was removed" all the time. See the screenshot attached.

How to solve this problem ?

My system contains 3 master nodes (coreos) and 2 worker nodes (rhel76). It is a bare metal installation.

Must gather:
https://ibm.box.com/s/tez9s8g8ysbew62im5hyypfuiwbhwdqo

Comment 3 bpeterse 2020-05-26 14:55:32 UTC
Investigating to see if this is essential to 4.5.

Comment 6 shahan 2020-05-28 09:06:14 UTC
After 4.4.5->4.5.0-0.nightly-2020-05-27-040756, the packagesever did not show the message "catalog source was removed"
4.5.0-0.nightly-2020-05-27-040756

Comment 7 errata-xmlrpc 2020-07-13 17:35:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.